View Issue Details

IDProjectCategoryView StatusLast Update
0003778PluginsColorerpublic2020-06-12 15:29
Reporterstrump Assigned Toctapmex  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows 
Product Version3.0 
Summary0003778: Python syntax highligher doesn't suppoer underscores in numeric literals
DescriptionStarting from Python 3.6 numbers could have '_' in it. See specification: https://www.python.org/dev/peps/pep-0515/

For example:

decimal = 10_000
float_number = 3.14_15_92
hex_number = 0xCAFE_BABE
hex_number = 0x_CAFE
oct_number = 0o_755
bin_number = 0b111_000_111

But current python.hrc schema doesn't support this syntax and marks it with red.
Steps To Reproduce1. Create file "test.py"
2. Put content
decimal = 10_000
float_number = 3.14_15_92
hex_number = 0xCAFE_BABE
hex_number = 0x_CAFE
oct_number = 0o_755
bin_number = 0b111_000_111

Expected result: file content in editor is highlighted without syntax errors
Actual result: Underscore symbols are marked as syntax error.
TagsNo tags attached.

Activities

ctapmex

2020-06-12 15:29

developer   bugnote:0016871

fixed

Issue History

Date Modified Username Field Change
2020-02-27 09:50 strump New Issue
2020-05-12 09:15 ctapmex Assigned To => ctapmex
2020-05-12 09:15 ctapmex Status new => assigned
2020-06-12 15:29 ctapmex Status assigned => resolved
2020-06-12 15:29 ctapmex Note Added: 0016871
2020-06-12 15:29 ctapmex Status resolved => closed
2020-06-12 15:29 ctapmex Resolution open => fixed